# API References

### API Architecture

API is separated in two different endpoints:

* `/ft/` for fungible token: this endpoints is to interact with limit orders from one ERC20 to another ERC20.
  * `/ft/orders/`: to interact with limit orders fillable by anybody.
  * `/ft/p2p/`: to interact with p2p orders.
* `/nft/` for non fungible token: this endpoints is used to interact with limit orders from any supported token to any supported token.
  * `/nft/p2p/` to interact with limit orders fillable by anybody.
  * `/nft/orders/`to interact with p2p orders.


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://developers.velora.xyz/api/augustusrfq/api-references.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
